Page MenuHomePhabricator

mediawiki/extensions/Popups runs qunit in normal "npm test"
Closed, ResolvedPublic

Description

This is non-standard AFAIK. Is there a reason this isn't using the normal MediaWiki qunit runner?

Event Timeline

Legoktm created this task.Oct 31 2017, 5:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2017, 5:59 PM

Change 387624 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Move mediawiki/extensions/Popups back to nodepool npm-test

https://gerrit.wikimedia.org/r/387624

Change 387624 merged by jenkins-bot:
[integration/config@master] Move mediawiki/extensions/Popups back to nodepool npm-test

https://gerrit.wikimedia.org/r/387624

It seems like QUnit has nothing to do with the problem.

From the logs it seems like babel is trying to create a directory for its compilation cache but there is no access to the file system in the new docker based setup.

babel-register is used in development to run code with EcmaScript modules on node (for the tests).

Seems like the old setup had access to a file system and this one doesn't?

It seems like QUnit has nothing to do with the problem.
From the logs it seems like babel is trying to create a directory for its compilation cache but there is no access to the file system in the new docker based setup.
babel-register is used in development to run code with EcmaScript modules on node (for the tests).
Seems like the old setup had access to a file system and this one doesn't?

Yes and no. By default the home directory is set to /nonexistent which, as the name suggests, doesn't exist. We have set a few env variables to point caching to /cache. According to https://babeljs.io/docs/usage/babel-register/ we can set BABEL_CACHE_PATH ?

I've also filed an upstream request https://github.com/babel/babel/issues/6653 that they support the XDG basedir specification.

Change 387653 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Set BABEL_CACHE_PATH in npm image

https://gerrit.wikimedia.org/r/387653

Pulling in to sprint for visibility since it impacted the page previews Node.js rewrite and I'm sure @Legoktm would appreciate our eyes..

Mentioned in SAL (#wikimedia-releng) [2017-11-10T22:17:12Z] <hashar> docker push wmfreleng/npm:v2017.11.10.22.15 && docker push wmfreleng/npm:latest && docker push wmfreleng/npm-test:v2017.11.10.22.15 && docker push wmfreleng/npm-test:latest | BABEL_CACHE_PATH | T179425

Change 387653 merged by jenkins-bot:
[integration/config@master] BABEL_CACHE_PATH in npm image for Popups

https://gerrit.wikimedia.org/r/387653

hashar closed this task as Resolved.Nov 10 2017, 10:29 PM
hashar assigned this task to Legoktm.
hashar added a subscriber: hashar.

Verified on Popups change https://gerrit.wikimedia.org/r/#/c/145330/

Thank you Kunal!